#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 th-desugar
version:              1.10
visibility:           public
id:                   th-desugar-1.10-3W7eiGSQhq840NoZQdDNYJ
key:                  th-desugar-1.10-3W7eiGSQhq840NoZQdDNYJ
license:              BSD-3-Clause
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Richard Eisenberg <rae@cs.brynmawr.edu>
stability:            experimental
homepage:             https://github.com/goldfirere/th-desugar
synopsis:             Functions to desugar Template Haskell
description:
    This package provides the Language.Haskell.TH.Desugar module, which desugars
    Template Haskell'\''s rich encoding of Haskell syntax into a simpler encoding.
    This desugaring discards surface syntax information (such as the use of infix
    operators) but retains the original meaning of the TH code. The intended use
    of this package is as a preprocessor for more advanced code manipulation
    tools. Note that the input to any of the ds... functions should be produced
    from a TH quote, using the syntax [| ... |]. If the input to these functions
    is a hand-coded TH syntax tree, the results may be unpredictable. In
    particular, it is likely that promoted datatypes will not work as expected.

category:             Template Haskell
abi:                  c0c030623036ea40c784497ca586e5ab
exposed:              True
exposed-modules:
    Language.Haskell.TH.Desugar Language.Haskell.TH.Desugar.Expand
    Language.Haskell.TH.Desugar.Lift Language.Haskell.TH.Desugar.OMap
    Language.Haskell.TH.Desugar.OMap.Strict
    Language.Haskell.TH.Desugar.OSet Language.Haskell.TH.Desugar.Subst
    Language.Haskell.TH.Desugar.Sweeten

hidden-modules:
    Language.Haskell.TH.Desugar.AST Language.Haskell.TH.Desugar.Core
    Language.Haskell.TH.Desugar.FV Language.Haskell.TH.Desugar.Match
    Language.Haskell.TH.Desugar.Reify Language.Haskell.TH.Desugar.Util

import-dirs:          /usr/lib/ghc-8.8.1/site-local/th-desugar-1.10
library-dirs:         /usr/lib/ghc-8.8.1/site-local/th-desugar-1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/th-desugar-1.10
hs-libraries:         HSth-desugar-1.10-3W7eiGSQhq840NoZQdDNYJ
depends:
    base-4.13.0.0 containers-0.6.2.1 ghc-prim-0.5.3 mtl-2.2.2
    ordered-containers-0.2.2-G6DaWSazeX67GpeHwDC8n9
    syb-0.7.1-HZot41yU46FEB2GjLEhNpM template-haskell-2.15.0.0
    th-abstraction-0.3.2.0-D5zRQZUNFcq6kU1WHIrSvs
    th-lift-0.8.1-74cWWM7vHiK4eAWsk4olLV
    th-orphans-0.13.9-HpNWhW1OwZECKe2nMDeKq4
    transformers-compat-0.6.5-JSMUn8oEOEx4KSfZBSghWS

haddock-interfaces:   /usr/share/doc/haskell-th-desugar/html/th-desugar.haddock
haddock-html:         /usr/share/doc/haskell-th-desugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

